Jump to content
Sign in to follow this  
redtango2

Nouvelle version Prestashop 1.5 installation bloquée à létape 4

Recommended Posts

Nouvelle version Prestashop 1.5 installation bloquée à létape 4 sur OVH

L'installation se bloque sur l'étape 4 :
page blanches en renommant les dossiers install et admin

( solution ne marche pas) [sOLVED] Installation of Prestashop 1.4.1.0 Stops at STEP 4

Bug de jeunesse ou ug d'install ???

Si d'autres ont fait le test

Share this post


Link to post
Share on other sites

Bloqué à l'étape 4 moi aussi.

La soumission du formulaire ne se fait pas : Failed to load resource: the server responded with a status of 500 (Internal Server Error) model.php

J'avais eu un problème similaire sur un autre fichier sur une vieille version.

Config : Mac / Safari / MAMP

Share this post


Link to post
Share on other sites

J'ai essayé avec InnoDb et MylSAM
en mode complet avec ou sans modules
avec mode catalogue ou avec prix

l'install bloque à l'étape 3 (InnoDb )ou 4 (MylSAM),
il y a bien un fichier htaccess
pour une fois je ne vois vraiment pas ce qui ne va pas
peu-etre le dossier install ?

Share this post


Link to post
Share on other sites

Pour pourpresta
Avez vous essayé l'install de la version 151 ?
C'était un problème de droit d'écriture ou de fichiers ?

Sinon
Je vais attendre les correctifs pour tester le multi-boutique......

Share this post


Link to post
Share on other sites

Bonjour,

Même soucis, bloqué à l'étape 4 [Configuration de la boutique].

Share this post


Link to post
Share on other sites

Bonjour, afin de corriger le problème j'aurai besoin d'aide de votre part. Pour cela il faudrait retenter l'installation avec Firefox tout en aillant le plugin Firebug d'installé. Ensuite sur l'étape principale d'installation, ouvrez Firebug (le petit icone en forme de coccinelle en bas à droite du navigateur), puis cliquez sur l'onglet "console", et activez le si Firebug dit qu'il est désactivé. Ensuite laissez le panneau ouvert, tentez d'installer Prestashop 1.5, et durant l'installation vous verrez des URL apparaître dans la fenêtre "console en bas" (il s'agit des appels AJAX durant l'installation). Une fois arrivé à l'étape qui bloque, tentez de la passer, et cliquez sur la dernière URL qui sera apparue dans la console, puis dans le sous onglet "réponse" copiez le contenu et envoyez le moi ici afin que je vois ce qui bug précisément, merci :)

Share this post


Link to post
Share on other sites

Chez moi elle fonctionne bien l'install mais j'ai un problème de FO error 404 mais pas pour le BO.
Edit, j'ai plus l'erreur 404 j'ai simplement ajouté le dossier d'install dans l'onglet boutique et activé la réecriture d'url.

Maintenant j'ai une page blanche!

Ckarone

Share this post


Link to post
Share on other sites
Bonjour, afin de corriger le problème j'aurai besoin d'aide de votre part. Pour cela il faudrait retenter l'installation avec Firefox tout en aillant le plugin Firebug d'installé. Ensuite sur l'étape principale d'installation, ouvrez Firebug (le petit icone en forme de coccinelle en bas à droite du navigateur), puis cliquez sur l'onglet "console", et activez le si Firebug dit qu'il est désactivé. Ensuite laissez le panneau ouvert, tentez d'installer Prestashop 1.5, et durant l'installation vous verrez des URL apparaître dans la fenêtre "console en bas" (il s'agit des appels AJAX durant l'installation). Une fois arrivé à l'étape qui bloque, tentez de la passer, et cliquez sur la dernière URL qui sera apparue dans la console, puis dans le sous onglet "réponse" copiez le contenu et envoyez le moi ici afin que je vois ce qui bug précisément, merci :)


Bonjour,
Install en localhost avec xampp 1.7.1

Voici mon erreur Firebug/Console/Dernière URL/Réponse


Parse error:  parse error in C:\xampp\htdocs\presta1.5.0\classes\ObjectModel.php on line 686

Share this post


Link to post
Share on other sites

bonjour

essayer de mettre un chmod 777 sur le dossier log (si il existe sur la version 1.4.5) chez moi ça a résolu le pb sur une mise a jour prestashop 1.4.1 à 1.4.2

++

Share this post


Link to post
Share on other sites

Le résultat avec Firebug si ce la peut aider :

Essaie avec MylSAM
Fichier lof en 777

Arrêt Step 4 :
cette fois ci toutes les tables Multi ont été enregistrées ( ce qui n'était pas le cas la première fois)

Cordialement

resultat firebu PS151.txt

Share this post


Link to post
Share on other sites

Merci pour les informations, je vois d'où vient le problème et je le corrige sous peu sur la version SVN, je posterai à nouveau ici quand ça sera fait :)

Share this post


Link to post
Share on other sites

Même problème aussi : Win 7 64bits, XAMPP 1.7.1, Firefox 5.0, Chrome 12

Voici la réponse que j'ai eue :

>

</pre>
<table dir="ltr" border="1" cellspacing="0" cellpadding="1">( ! ) Parse error: parse error in C:\xampp\htdocs\prestashop15\classes\ObjectModel.php on line 686Call Stack#TimeMemoryFunctionLocation10.0163113480{main}(  )..\model.php:020.0594403472include_once( 'C:\xampp\htdocs\prestashop15\install\xml\checkShopInfos.php' )..\model.php:10430.08331673992__autoload(  )..\autoload.php:040.10461854928require_once( 'C:\xampp\htdocs\prestashop15\classes\Shop.php' )..\autoload.php:5150.10461854952__autoload(  )..\autoload.php:0</table>

Share this post


Link to post
Share on other sites

Voilà le problème est fixé sur la branche SVN de la 1.5, il s'agissait d'un problème d'incompatibilité avec les versions de PHP inférieur à la version 5.3

Share this post


Link to post
Share on other sites
Voilà le problème est fixé sur la branche SVN de la 1.5, il s'agissait d'un problème d'incompatibilité avec les versions de PHP inférieur à la version 5.3


Bonjour,

Mise à jour XAMPP 1.7.4 Apache 2.2.17, MySQL 5.5.8

Installation OK.

Merci à vous

Share this post


Link to post
Share on other sites
@redtango : non, uniquement le fichier ~/classes/objectModel.php


Résolu, merci Raphaël Malié.

Share this post


Link to post
Share on other sites

pour Raphaël Malié
Bonjour
je suis sur une version php 5.1

j'ai pris Objectmodel.php
dans http://svn.prestashop.com/branches/1.5.x/classes/ObjectModel.php

révision * @version Release: $Revision: 7499 $ (est ce le bon fichier ?)
Avec Installation InnoDb
blocage à l'étape 3 base installée incomplète)

avec Installation MylSAM
étape 4 puis blocage

Si cela peut aider

Share this post


Link to post
Share on other sites

Back Office =>Modules =>Positions - il manque le mécanisme pour déplacer les modules (haute/bas)

Share this post


Link to post
Share on other sites
Back Office =>Modules =>Positions - il manque le mécanisme pour déplacer les modules (haute/bas)


Il ne manque pas que ça , c'est presque une pré-alpha, mais ça permet de comprendre un peu le mécanisme de cette future version.

Share this post


Link to post
Share on other sites
Back Office =>Modules =>Positions - il manque le mécanisme pour déplacer les modules (haute/bas)

C'est normal, il y a un texte qui apparaît au dessus de la liste "Si vous souhaitez trier, bouger les données suivantes, vous devez choisir une boutique dans la liste déroulante". Etant donné qu'il est possible de trier les modules par boutique, je ne savais pas comment gérer le fait de trier en étant dans le contexte "all shops", mais si vous avez des suggestions pour l'ergonomie elles sont les bienvenues :)

Share this post


Link to post
Share on other sites

pour ma part apres modif de objectModel.php
l'installation s'est bien passée, sauf une erreur sql
j'ai verifié les tables cela a l'air ok
mais l'admin ne s'affiche pas, uniquement l'entete avec un code erreur sur le telephone!!!!! (sic)

Share this post


Link to post
Share on other sites

L'installation ne fonctionnait pas. J'ai donc appliqué la modification du fichier objectModels.php.
Et maintenant, j'ai cette erreur (merci la console Firebug !) :


Warning: is_dir() [function.is-dir]: open_basedir restriction in effect. File(/home/sites/prestashop15/www/classes/../..) is not within the allowed path(s): (/home/sites/prestashop15/www) in /home/sites/prestashop15/www/classes/Shop.php on line 278



Fatal error: Class 'Context' not found in /home/sites/prestashop15/www/classes/ObjectModel.php on line 247



Avez-vous une idée ?

Merci d'avance !

Share this post


Link to post
Share on other sites

J'ai aussi l'erreur


Fatal error: Class 'Context' not found in /home//domains//public_html/demo-prestashop/classes/ObjectModel.php on line 247

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More